
--[[

--This has no point as lua already has a .math function for this

function RAD_TO_DEG(rad)
	return (rad * 180 / math.pi)
end

function DEG_TO_RAD(deg)
	return (deg * math.pi / 180)
end
]]

function math.normalize(x,y) local l=(x*x+y*y)^.5 if l==0 then return 0,0,0 else return x/l,y/l,l end end

function math.dist(x1,y1, x2,y2) return ((x2-x1)^2+(y2-y1)^2)^0.5 end

function math.sign(n) if n >= 0 then return 1 else return -1 end end

function math.round(x)
  if x%2 ~= 0.5 then
    return math.floor(x+0.5)
  end
  return x-0.5
end

function math.simpleAngle(angle)
	local number = math.floor(angle/(2*math.pi))
	local angle = angle - number * 2 * math.pi
	return angle
end