MAX_STARS = 50

StarField = class("StarField")

function StarField:initialize(player)

	self.stars = {}
	
	self.player = player

	for i = 1, MAX_STARS do
	
		table.insert(
			self.stars,
			{
				x = math.random(SCREEN_WIDTH),
				y = math.random(SCREEN_HEIGHT),
				size = math.random(5),
			}
		)
	
	end
	
	
end

function StarField:update(dt)

end

function StarField:draw()

	for i = 1, #self.stars do
	
		love.graphics.setColor(COLOR_RANDOM())
	
		love.graphics.rectangle(
			"fill",
			self.stars[i].x,
			self.stars[i].y,
			self.stars[i].size,
			self.stars[i].size
		)
		
		love.graphics.setColor(COLOR_WHITE)
	
	end

end